GDCM: gdcm::network::UserInformation Class Reference

GDCM 3.2.6

Public Member Functions | List of all members
gdcm::network::UserInformation Class Reference

UserInformation. More...

`#include <gdcmUserInformation.h>`

## Public Member Functions
| UserInformation ()
| UserInformation (const UserInformation &)=delete
| ~UserInformation ()
void | AddRoleSelectionSub (RoleSelectionSub const &r)
void | AddSOPClassExtendedNegociationSub (SOPClassExtendedNegociationSub const &s)
MaximumLengthSub & | GetMaximumLengthSub ()
const MaximumLengthSub & | GetMaximumLengthSub () const
UserInformation & | operator= (const UserInformation &)
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

UserInformation.

Table 9-16 USER INFORMATION ITEM FIELDS

TODO what is the goal of :

Table 9-20 USER INFORMATION ITEM FIELDS

## Constructor & Destructor Documentation

## ◆ UserInformation() [1/2]

gdcm::network::UserInformation::UserInformation | ( |  | ) |

Referenced by UserInformation(), and operator=().

## ◆ ~UserInformation()

gdcm::network::UserInformation::~UserInformation | ( |  | ) |

## ◆ UserInformation() [2/2]

gdcm::network::UserInformation::UserInformation | ( | const UserInformation & |  | ) |
| delete

References UserInformation().

## Member Function Documentation

## ◆ AddRoleSelectionSub()

void gdcm::network::UserInformation::AddRoleSelectionSub | ( | RoleSelectionSub const & | r | ) |

## ◆ AddSOPClassExtendedNegociationSub()

void gdcm::network::UserInformation::AddSOPClassExtendedNegociationSub | ( | SOPClassExtendedNegociationSub const & | s | ) |

## ◆ GetMaximumLengthSub() [1/2]

MaximumLengthSub & gdcm::network::UserInformation::GetMaximumLengthSub | ( |  | ) |
| inline

## ◆ GetMaximumLengthSub() [2/2]

const MaximumLengthSub & gdcm::network::UserInformation::GetMaximumLengthSub | ( |  | ) | const
| inline

## ◆ operator=()

UserInformation & gdcm::network::UserInformation::operator= | ( | const UserInformation & |  | ) |

References UserInformation().

## ◆ Print()

void gdcm::network::UserInformation::Print | ( | std::ostream & | os | ) | const

## ◆ Read()

std::istream & gdcm::network::UserInformation::Read | ( | std::istream & | is | ) |

## ◆ Size()

size_t gdcm::network::UserInformation::Size | ( |  | ) | const

## ◆ Write()

const std::ostream & gdcm::network::UserInformation::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmUserInformation.h